# FavoriteService | windmill-client
Documentation for windmill-client

# Class FavoriteService

- Defined in src/services.gen.ts:6107

#####
Index

### Constructors

constructor

### Methods

star
unstar

##
Constructors

### constructor

- new FavoriteService(): FavoriteService

- #### Returns FavoriteService

##
Methods

### `Static` star

- star(data): CancelablePromise <unknown>

- star item

  #### Parameters

  - data: StarData

    The data for the request.

  #### Returns CancelablePromise <unknown>

  unknown star item

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6116

### `Static` unstar

- unstar(data): CancelablePromise <unknown>

- unstar item

  #### Parameters

  - data: UnstarData

    The data for the request.

  #### Returns CancelablePromise <unknown>

  unknown unstar item

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6136